package ink.wgink.module.file.pojo.vos;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: FileVO
 * @Description: 文件
 * @Author: wanggeng
 * @Date: 2021/3/15 11:39 上午
 * @Version: 1.0
 */
public class FileVO {

    String fileName;
    String filePath;
    String fileFullPath;
    String fileUrl;
    String fileType;
    Long fileSize;

    public String getFileName() {
        return fileName == null ? "" : fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath == null ? "" : filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileFullPath() {
        return fileFullPath == null ? "" : fileFullPath;
    }

    public void setFileFullPath(String fileFullPath) {
        this.fileFullPath = fileFullPath;
    }

    public String getFileUrl() {
        return fileUrl == null ? "" : fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileType() {
        return fileType == null ? "" : fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Long getFileSize() {
        return fileSize == null ? 0 : fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"fileName\":\"")
                .append(fileName).append('\"');
        sb.append(",\"filePath\":\"")
                .append(filePath).append('\"');
        sb.append(",\"fileFullPath\":\"")
                .append(fileFullPath).append('\"');
        sb.append(",\"fileUrl\":\"")
                .append(fileUrl).append('\"');
        sb.append(",\"fileType\":\"")
                .append(fileType).append('\"');
        sb.append(",\"fileSize\":")
                .append(fileSize);
        sb.append('}');
        return sb.toString();
    }
}
